Skip to content

Fax

All operations require authentication.

19 operationsv1/freefax · /freefax/credits · /freefax/{serviceName}
Agent setup

List Freefax line accountsProduction

GET
/1.0/freefax

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200phoneNumber[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/freefax \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the credit balance and the remaining pages available for all our freefaxProduction

GET
/1.0/freefax/credits

Response

200BalanceInformationssuccessful operation
faxs
integer

The number of equivalement remaining french faxs

points
integer

Total balance available in points

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/freefax/credits \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "faxs": 0, "points": 0}

Get Freefax informationProduction

GET
/1.0/freefax/{serviceName}

Path parameters

serviceName
required
phoneNumber

Service name

Response

200FreefaxPropertiesWithIAMsuccessful operation
faxMaxCall
FaxSendingTriesEnum

Number of tries when sending a fax

Values123456789
faxQuality
FaxQualityEnum

Available quality for fax documents

Valuesbesthighnormal
faxTagLine
string

Customised freefax header

fromEmail
string

FROM email header

fromName
string

Name of the sender of the email

iam
read-only
ResourceMetadata

IAM resource metadata

number
read-only
phoneNumber

Phone number

redirectionEmail
string[]

Email address to redirect fax response.

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "faxMaxCall": 1, "faxQuality": "best", "faxTagLine": "string", "fromEmail": "string", "fromName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "number": "string", "redirectionEmail": [ "string" ]}

Edit the Freefax propertiesProduction

PUT
/1.0/freefax/{serviceName}

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

faxMaxCall
FaxSendingTries

Number of max tentative of fax sending

Values123456789
faxQuality
FaxQualityEnum

Quality of fax sending

Valuesbesthighnormal
faxTagLine
string

Customised freefax header

fromEmail
string

FROM email header

fromName
string

Name of the sender of the email

number
read-only
phoneNumber

Freefax number in international format

redirectionEmail
string[]

Email address to redirect fax response.

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Generates a new password for your fax accountProduction

POST
/1.0/freefax/{serviceName}/changePassword

Path parameters

serviceName
required
phoneNumber

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get Freefax directory informationProduction

GET
/1.0/freefax/{serviceName}/directory

Path parameters

serviceName
required
phoneNumber

Service name

Response

200DirectoryInfosuccessful operation
address
string
—
addressExtra
string
—
ape
string
—
areaCode
read-only
integer
—
birthDate
stringdate
—
cedex
string
—
city
string
—
country
string
—
directoryServiceCode
string
—
displayFirstName
boolean
—
displayMarketingDirectory
boolean
—
displayOnlyCity
boolean
—
displaySearchReverse
boolean
—
displayUniversalDirectory
boolean
—
email
string
—
firstName
string
—
gender
GenderEnum

All genders a person can choose

Valuesfemalemale
inseeCode
read-only
integer
—
legalForm
string
—
lineDescription
string
—
modificationDate
read-only
string
—
modificationType
read-only
string
—
name
string
—
number
read-only
string
—
occupation
string
—
postBox
string
—
postCode
string
—
siret
string
—
socialNomination
string
—
socialNominationExtra
string
—
status
read-only
string
—
urbanDistrict
string
—
wayName
string
—
wayNumber
string
—
wayNumberExtra
string
—
wayType
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "addressExtra": "string", "ape": "string", "areaCode": 0, "birthDate": "2024-01-01", "cedex": "string", "city": "string", "country": "string", "directoryServiceCode": "string", "displayFirstName": true, "displayMarketingDirectory": true, "displayOnlyCity": true, "displaySearchReverse": true, "displayUniversalDirectory": true, "email": "string", "firstName": "string", "gender": "female", "inseeCode": 0, "legalForm": "string", "lineDescription": "string", "modificationDate": "string", "modificationType": "string", "name": "string", "number": "string", "occupation": "string", "postBox": "string", "postCode": "string", "siret": "string", "socialNomination": "string", "socialNominationExtra": "string", "status": "string", "urbanDistrict": "string", "wayName": "string", "wayNumber": "string", "wayNumberExtra": "string", "wayType": "string"}

Edit Freefax directory informationProduction

PUT
/1.0/freefax/{serviceName}/directory

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

address
string
—
addressExtra
string
—
ape
string
—
areaCode
read-only
integer
—
birthDate
stringdate
—
cedex
string
—
city
string
—
country
string
—
directoryServiceCode
string
—
displayFirstName
boolean
—
displayMarketingDirectory
boolean
—
displayOnlyCity
boolean
—
displaySearchReverse
boolean
—
displayUniversalDirectory
boolean
—
email
string
—
firstName
string
—
gender
GenderEnum

All genders a person can choose

Valuesfemalemale
inseeCode
read-only
integer
—
legalForm
string
—
lineDescription
string
—
modificationDate
read-only
string
—
modificationType
read-only
string
—
name
string
—
number
read-only
string
—
occupation
string
—
postBox
string
—
postCode
string
—
siret
string
—
socialNomination
string
—
socialNominationExtra
string
—
status
read-only
string
—
urbanDistrict
string
—
wayName
string
—
wayNumber
string
—
wayNumberExtra
string
—
wayType
string
—

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory \
  -H "authorization: Bearer $OVH_TOKEN"

Get enterprise information by providing enterprise numberProduction

POST
/1.0/freefax/{serviceName}/directory/fetchEntrepriseInformations

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

entrepriseNumber
required
string

Entreprise number to fetch information from

Response

200EntrepriseNumberInformationsTasksuccessful operation
informations
EntrepriseNumberInformations

Informations about the enterprise

status
TaskStatusEnum

Task status

Valuesdoingdoneerrorpausetodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/fetchEntrepriseInformations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "informations": { "address": "string", "ape": "string", "brand": "string", "entrepriseNumber": "string", "isValid": true, "name": "string", "siren": "string" }, "status": "doing"}

Get directory service code from an APE code (principal activity of the firm code)Production

GET
/1.0/freefax/{serviceName}/directory/getDirectoryServiceCode

Path parameters

serviceName
required
phoneNumber

Service name

Query parameters

apeCode
required
string
—

Response

200DirectoryHeadingPJ[]successful operation
apeCode
read-only
string
—
apeDescription
read-only
string
—
directoryServiceCode
read-only
integer
—
directoryServiceDescription
read-only
string
—
notification
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/getDirectoryServiceCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "apeCode": "string", "apeDescription": "string", "directoryServiceCode": 0, "directoryServiceDescription": "string", "notification": "string" }]

Get all the way types availableProduction

GET
/1.0/freefax/{serviceName}/directory/getWayTypes

Path parameters

serviceName
required
phoneNumber

Service name

Response

200DirectoryWayType[]successful operation
abbreviatedName
read-only
string
—
wayName
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/directory/getWayTypes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "abbreviatedName": "string", "wayName": "string" }]

Get main service attached to the FreefaxProduction

GET
/1.0/freefax/{serviceName}/mainService

Path parameters

serviceName
required
phoneNumber

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/mainService \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get service informationProduction

GET
/1.0/freefax/{serviceName}/serviceInfos

Path parameters

serviceName
required
phoneNumber

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/freefax/{serviceName}/serviceInfos

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Get the Freefax voicemail informationProduction

GET
/1.0/freefax/{serviceName}/voicemail

Path parameters

serviceName
required
phoneNumber

Service name

Response

200VoicemailPropertiessuccessful operation
annouceMessage
read-only
string

Name of the voicemail panel announce file

audioFormat
ServiceVoicemailAudioFormatEnum

Format of the voicemail audio file attached to emails

Valuesaiffauflacmp3oggwav
doNotRecord
boolean

Don't allow callers to leave voicemails

forcePassword
boolean

Force password request to access the voicemail panel

fromEmail
string

Email address from which emails will be sent

fromName
string

Name from which emails will be sent

fullGreetingSoundId
integer

Sound ID of the long greeeting

greetingType
VoicemailGreetingEnum

Type of the greeting to play

Valuesdefaultfullshort
isNewVersion
read-only
boolean

Current voicemail version

keepMessage
boolean

Don't delete voicemails after they've been sent by email

redirectionEmails
ServiceVoicemailNotifications[]

Email addresses to notify when a new voicemail is left

shortGreetingSoundId
integer

Sound ID of the short greeting played before an automated message

temporaryGreetingActivated
boolean

Play the temporary greeting instead of the regular one

temporaryGreetingSoundId
integer

Sound ID of the temporary greeeting

unreadMessages
read-only
integer

Quantity of unread voicemails

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "annouceMessage": "string", "audioFormat": "aiff", "doNotRecord": true, "forcePassword": true, "fromEmail": "string", "fromName": "string", "fullGreetingSoundId": 0, "greetingType": "default", "isNewVersion": true, "keepMessage": true, "redirectionEmails": [ { "email": "string", "type": "attachment" } ], "shortGreetingSoundId": 0, "temporaryGreetingActivated": true, "temporaryGreetingSoundId": 0, "unreadMessages": 0}

Edit the Freefax voicemailProduction

PUT
/1.0/freefax/{serviceName}/voicemail

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

annouceMessage
read-only
string

Name of the voicemail panel announce file

audioFormat
ServiceVoicemailAudioFormatEnum

Format of the voicemail audio file attached to emails

Valuesaiffauflacmp3oggwav
doNotRecord
boolean

Don't allow callers to leave voicemails

forcePassword
boolean

Force password request to access the voicemail panel

fromEmail
string

Email address from which emails will be sent

fromName
string

Name from which emails will be sent

fullGreetingSoundId
integer

Sound ID of the long greeeting

greetingType
VoicemailGreetingEnum

Type of the greeting to play

Valuesdefaultfullshort
isNewVersion
read-only
boolean

Current voicemail version

keepMessage
boolean

Don't delete voicemails after they've been sent by email

redirectionEmails
ServiceVoicemailNotifications[]

Email addresses to notify when a new voicemail is left

shortGreetingSoundId
integer

Sound ID of the short greeting played before an automated message

temporaryGreetingActivated
boolean

Play the temporary greeting instead of the regular one

temporaryGreetingSoundId
integer

Sound ID of the temporary greeeting

unreadMessages
read-only
integer

Quantity of unread voicemails

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail \
  -H "authorization: Bearer $OVH_TOKEN"

Change the voicemail password. It must be 4 digitProduction

POST
/1.0/freefax/{serviceName}/voicemail/changePassword

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

password
required
stringpassword

The password

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

Disable/Enable voicemail. Available only if the line has fax capabilitiesProduction

POST
/1.0/freefax/{serviceName}/voicemail/changeRouting

Path parameters

serviceName
required
phoneNumber

Service name

Request body (required)

routing
required
VoicefaxRoutingEnum

All existing type of routing for a voicemail

Valuesfaxvoicemail

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/changeRouting \
  -H "authorization: Bearer $OVH_TOKEN"

Get the status of the voicemail. Available only if the line has fax capabilitiesProduction

GET
/1.0/freefax/{serviceName}/voicemail/routing

Path parameters

serviceName
required
phoneNumber

Service name

Response

200VoicefaxRoutingEnumsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/routing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"fax"

Get number for internal and external voicemailProduction

GET
/1.0/freefax/{serviceName}/voicemail/voicemailNumbers

Path parameters

serviceName
required
phoneNumber

Service name

Response

200VoicemailNumberssuccessful operation
external
string

The external voicemail number

internal
string

The internal voicemail number

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/freefax/{serviceName}/voicemail/voicemailNumbers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "external": "string", "internal": "string"}